%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import *; import sys; sys.stdout.write(get_python_lib(1))")}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import *; import sys; sys.stdout.write(get_python_lib())")}

%define talloc_version 2.0.1
%define tdb_version 1.1.2
%define tevent_version 0.9.8

Name: libldb
Version: 0.9.10
Release: 33%{?dist}
Group: Development/Libraries
Summary: A schema-less, ldap like, API and database
Requires: libtalloc >= %{talloc_version}
Requires: libtdb >= %{tdb_version}
Requires: libtevent >= %{tevent_version}
License: LGPLv3+
URL: http://ldb.samba.org/

# The LDB is carried in the samba4 tarball, but we don't want to build
# all of samba just for the LDB. So we create an LDB-only tarball from
# the samba sources using generate-ldb-tarball.sh
# Source for the original samba4 tarball:
# http://download.samba.org/samba/ftp/samba4/samba-4.0.0alpha11.tar.gz
Source0: %{name}-%{version}.tar.gz
Source1: generate-ldb-tarball.sh

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

###########
# PATCHES #
###########

Patch0001: 0001-s4-ldb-cope-with-bad-ptr-alignment-in-ldb_index.c.patch


BuildRequires: libtalloc-devel >= %{talloc_version}
BuildRequires: libtdb-devel >= %{tdb_version}
BuildRequires: libtevent-devel >= %{tevent_version}
%{?fedora:BuildRequires: popt-devel}
%if 0%{?rhel} <= 5
BuildRequires: popt
%endif
%if 0%{?rhel} >= 6
BuildRequires: popt-devel
%endif
BuildRequires: autoconf
BuildRequires: libxslt
BuildRequires: docbook-style-xsl

%description
An extensible library that implements an LDAP like API to access remote LDAP
servers, or use local tdb databases.

%package -n ldb-tools
Group: Development/Libraries
Summary: Tools to manage LDB files
Requires: libldb >= %{version}-%{release}

%description -n ldb-tools
Tools to manage LDB files

%package devel
Group: Development/Libraries
Summary: Developer tools for the LDB library
Requires: libldb = %{version}-%{release}
Requires: libtdb-devel >= %{tdb_version}
Requires: libtalloc-devel >= %{talloc_version}
Requires: libtevent-devel >= %{tevent_version}
Requires: pkgconfig

%description devel
Header files needed to develop programs that link against the LDB library.

%prep
%setup -q

%patch0001 -p3

%build
pushd ldb
./autogen.sh
%configure
make # %{?_smp_mflags}  Parallel compilation is broken
popd

%install
pushd ldb
make install DESTDIR=%{buildroot}
ln -s -f libldb.so.%{version} %{buildroot}%{_libdir}/libldb.so
ln -s -f libldb.so.%{version} %{buildroot}%{_libdir}/libldb.so.0
popd

mkdir %{buildroot}%{_libdir}/ldb

rm -f %{buildroot}%{_libdir}/libldb.a

#Don't package python bindings
rm -fr %{buildroot}%{python_sitearch}/*
rm -fr %{buildroot}%{python_sitelib}/lib

# These may be created in non mock systems, but we do not want to package them
# for now
rm -f %{buildroot}%{_mandir}/man1/ad2oLschema.1
rm -f %{buildroot}%{_mandir}/man1/oLschema2ldif.1

# This makes the right links, as rpmlint requires that
# the ldconfig-created links be recorded in the RPM.
/sbin/ldconfig -N -n %{buildroot}%{_libdir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%dir %{_libdir}/ldb
%{_libdir}/libldb.so.*

%files -n ldb-tools
%defattr(-,root,root,-)
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbrename
%{_bindir}/ldbsearch
%{_bindir}/ldbtest
%{_mandir}/man1/ldbadd.1.*
%{_mandir}/man1/ldbdel.1.*
%{_mandir}/man1/ldbedit.1.*
%{_mandir}/man1/ldbmodify.1.*
%{_mandir}/man1/ldbrename.1.*
%{_mandir}/man1/ldbsearch.1.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/ldb_module.h
%{_includedir}/ldb_handlers.h
%{_includedir}/ldb_errors.h
%{_includedir}/ldb.h
%{_libdir}/libldb.so
%{_libdir}/pkgconfig/ldb.pc
%{_mandir}/man3/ldb.3.gz

%changelog
* Wed Dec 01 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.9.10-33
- Resolves: rhbz#658768 - sssd(32098): unaligned access

* Tue Aug 10 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.9.10-31
- Fix typo removing wrong (nonexistent) directory

* Thu Aug 05 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.9.10-29
- Initial release for RHEL5
